#include <v_lib.h>

#include "util_1.h"

#define	SUBDIV	100

vhandle_t rhandle = LIBV_INVALID_HANDLE;

#define	LEN	1024

int main()
{
	vector_p dst;
	vhandle_t lex;
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);
	rhandle = ranCreateGenerator(1);
	lex = lexParseFile("table_in.txt","[],;");
	dst = vecAlloc(LEN);
	if(vecsDirac(lex,dst->elements,dst->size))
		vecsWriteXY("out.txt",dst->elements,dst->elements,dst->size);
	lexDestroy(lex);
	memFree(dst);
	ranDestroyGenerator(rhandle);
	memPrintStats();
	return 0;
}
